godo.DropletActions.ChangeKernel()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.DropletActions.ChangeKernel(ctx context.Context, id int, kernelID int) (*godo.Action, *godo.Response, error)

Description

ChangeKernel changes the kernel for a Droplet.

This method sends a POST request to /v2/droplets/{}/actions.

Parameters

id int required
kernelID int required

Returns

*godo.Action
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.Action

Action represents a DigitalOcean Action

ID int

JSON key: id

Status string

JSON key: status

Type string

JSON key: type

StartedAt *godo.Timestamp

JSON key: started_at

CompletedAt *godo.Timestamp

JSON key: completed_at

ResourceID int

JSON key: resource_id

ResourceType string

JSON key: resource_type

Region *godo.Region

Omitted from JSON when empty. JSON key: region

RegionSlug string

Omitted from JSON when empty. JSON key: region_slug

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.DropletActions.ChangeKernel(ctx, 1234567, 1234567)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

More Information

See POST /v2/droplets/{}/actions in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.